%global srcname backports-unittest_mock
%global upstreamname backports.unittest_mock

Name:           python-%{srcname}
Version:        1.1.1
Release:        1%{?dist}
Summary:        Makes mock available as unittest.mock

License:        MIT
URL:            https://pypi.python.org/pypi/%{upstreamname}/
Source0:        https://pypi.python.org/packages/source/b/%{upstreamname}/%{upstreamname}-%{version}.tar.gz
BuildArch:      noarch

Provides: python2-%{srcname} = %{version}-%{release}

Requires: python-mock
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python2-setuptools_scm
BuildRequires: python-sphinx
BuildRequires: python-pytest-runner
BuildRequires: python-mock

%description
backports.unittest_mock provides a function “install()” which makes the “mock”
module available as “unittest.mock” on Python 3.2 and earlier.  It also
advertises a pytest plugin which configures unittest.mock automatically.

%prep
%setup -q -n %{upstreamname}-%{version}

%build
%{__python2} setup.py build

%{__python2} setup.py build_sphinx

%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test

%files
%doc README.rst CHANGES.rst docs
%{python2_sitelib}/*

%changelog
* Fri Jan 22 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 1.1.1-1
- Initial Fedora build
